org.apache.uima.fit.internal

## Class MetaDataUtil

- java.lang.Object
- - org.apache.uima.fit.internal.MetaDataUtil

-     public final class MetaDataUtil
      extends Object

  INTERNAL API - Utility methods to locate and access uimaFIT meta data.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String[]` | `getImportProperties(MetaDataType aType)` Get system properties indicating which locations to scan for descriptions of the given type.
    `static String[]` | `getManifestLocations(MetaDataType aType)` Get manifest locations for the specified type.
    `static String[]` | `resolve(String... patterns)` Resolve a list of patterns to a set of URLs.
    `static String[]` | `scanDescriptors(MetaDataType aType)` Get all currently accessible descriptor locations for the given type.
    `static String[]` | `scanImportsAndManifests(MetaDataType aType)` Scan patterns from manifest files and from the specified system property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### scanImportsAndManifests

          public static String[] scanImportsAndManifests(MetaDataType aType)
                                                  throws ResourceInitializationException

      Scan patterns from manifest files and from the specified system property.
      Parameters:
        `aType` - the type of metadata to scan for
      Returns:
        array or all patterns found.
      Throws:
        `ResourceInitializationException` - if there was a problem resolving the metadata locations from the patterns

    - #### resolve

          public static String[] resolve(String... patterns)
                                  throws ResourceInitializationException

      Resolve a list of patterns to a set of URLs.
      Parameters:
        `patterns` - the patterns to resolve
      Returns:
        an array of locations.
      Throws:
        `ResourceInitializationException` - if the locations could not be resolved.

    - #### getManifestLocations

          public static String[] getManifestLocations(MetaDataType aType)

      Get manifest locations for the specified type.
      Parameters:
        `aType` - the type of metadata to scan for
      Returns:
        the manifest locations for this kind of metadata to scan

    - #### getImportProperties

          public static String[] getImportProperties(MetaDataType aType)

      Get system properties indicating which locations to scan for descriptions of the given type. A list of locations may be given separated by ";".
      Parameters:
        `aType` - the type of metadata to scan for
      Returns:
        the locations for this kind of metadata to scan

    - #### scanDescriptors

          public static String[] scanDescriptors(MetaDataType aType)
                                          throws ResourceInitializationException

      Get all currently accessible descriptor locations for the given type.
      Parameters:
        `aType` - the type of metadata to scan for
      Returns:
        an array of locations.
      Throws:
        `ResourceInitializationException` - if the locations could not be resolved.

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.